<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-success px-3 py-2" (click)="newRow(); openModal(modal, 'Subtotal de Segmentos');">
    <i class="fas fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-danger ml-1 px-4 py-2" (click)="printPDF()">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <div *ngIf="!loading">

    <kendo-grid [data]="dataGrid"
                [filter]="filter"
                [filterable]="true"
                (filterChange)="filterChange($event)"
                [selectable]="true"
                [navigable]="true"
                [reorderable]="true"
                [resizable]="true"
                [sort]="sort"
                [sortable]="true"
                (sortChange)="sortChange($event)"
                [groupable]="true" [group]="groups"
                (groupChange)="groupChange($event)"
                (edit)="editRow($event); openModal(modal, 'Subtotal de Segmentos')"
                (remove)="deleteRow($event)"
                style="height: 69vh">
      <div *ngFor="let item of gridFields">
        <kendo-grid-column [field]="item.field"
                           [title]="item.title"
                           [width]="item.width"
                           [filterable]="item.filtro">
        </kendo-grid-column>
      </div>
      <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
        <ng-template kendoGridFilterCellTemplate>
          <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
          </kendo-switch>
        </ng-template>
        <ng-template kendoGridCellTemplate let-dataItem>
          <input type="checkbox" [checked]="dataItem.Inactivo" disabled/>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-command-column title="Actions" width="200">
        <ng-template kendoGridCellTemplate let-isNew="isNew">
          <button kendoGridEditCommand [primary]="true">Editar</button>
          <button kendoGridRemoveCommand>Eliminar</button>
        </ng-template>
      </kendo-grid-command-column>
    </kendo-grid>

    </div>


  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>


<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row" *ngIf="flagShowForm">
        <form [formGroup]="myFormGroup">
          <div class="row d-flex justify-content-between">
            <div class="col-6">
              <label for="ssub">#SubTotal</label>
              <input type="number" class="form-control" name="ssub"
                     maxlength="3" pattern="[a-zA-Z0-9]*" formControlName="ssub">
            </div>
            <div class="col-4">
              <label for="Inactivo" class="ml-4">Inactivo</label>
              <kendo-switch class="ml-4" name="Inactivo" formControlName="Inactivo"
                            [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </div>
            <div class="col-12">
              <label class="mt-1" for="sdesc">Descripción</label>
              <input type="text" class="form-control" name="sdesc" maxlength="30"
                     pattern="[a-zA-Z0-9 ]*" formControlName="sdesc">
            </div>

          </div>
        </form>

        <div class="float-left mt-3 justify-content-around mt-3">
        </div>
    </div>
  </div>
  <div class="modal-footer">
      <button class="btn btn-success" (click)="guardarForm(); c();"
      [disabled]="myFormGroup.status === 'INVALID'">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
      <button class="btn btn-secondary" (click)="cerrarForm(); c('Close click')">Cerrar</button>
  </div>
</ng-template>

